/*
 *  @author Ranides Atterwim <ranides@gmail.com>
 *  @copyright Ranides Atterwim
 *  @license WTFPL
 *  @url http://ranides.net/projects/assira
 */

package net.ranides.assira.collection;

import java.util.NoSuchElementException;

/**
 * Wyjątek "unchecked" rzucany przez metody, które oczekiwały nie-pustej kolekcji.
 * @author ranides
 */
public class EmptyCollectionException extends NoSuchElementException{

    /**
     * Tworzy wyjątek z podanym komunikatem
     * @param message 
     */
    public EmptyCollectionException(String message) {
        super(message);
    }
    
    /**
     * Tworzy wyjątek z komunikatem wynegerowanym przez funkcję 
     * {@link String#format} na podstawie przekazanego formatu oraz argumentów.
     * @param format
     * @param args 
     * 
     */
    public EmptyCollectionException(String format, Object... args) {
        super(String.format(format, args));
    }

    /**
     * Tworzy wyjątek bez określonego komunikatu
     */
    public EmptyCollectionException() {
        super();
    }
    
}
